import { getLocal as getAxios, postLocal as postAxios, downFileLocal as downFile } from '@/utils/axios.js'
//获取设别列表
export function getDeviceList() {
    return getAxios({ url: 'deviceList' })
}
//滑动
export function swipeAction(data) {
    return postAxios({ url: 'swipeAction', data })
}
//返回主页
export function toHome(data) {
    return postAxios({ url: 'toHome', data })
}
//点击
export function tapAction(data) {
    return postAxios({ url: 'tapAction', data })
}
//刷视频
export function growAccount(data) {
    return postAxios({ url: 'growAccount', data })
}
//停止
export function stopScript(data) {
    return postAxios({ url: 'stopScript', data })
}

//获取app列表
export function deviceAppList(data) {
    return postAxios({ url: 'deviceAppList', data })
}
//打开指定app
export function launchApp(data) {
    return postAxios({ url: 'launchApp', data })
}
//看直播
export function watchLiveForGrowth(data) {
    return postAxios({ url: 'watchLiveForGrowth', data })
}
//传token
export function passToken(data) {
    return postAxios({ url: 'passToken', data })
}

//监测回复消息
export function monitorMessages(data) {
    return postAxios({ url: 'replyMessages', data })
}

//关注主播
export function passAnchorData(data) {
    return postAxios({ url: 'passAnchorData', data })
}
//联盟关注主播
export function followAndGreetUnion(data) {
    return postAxios({ url: 'followAndGreetUnion', data })
}


//追加主播
export function addTempAnchorData(data) {
    return postAxios({ url: 'addTempAnchorData', data })
}
//获取聊天记录
export function getChatTextInfo(data) {
    return postAxios({ url: 'getChatTextInfo', data })
}

//上传日志
export function setLoginInfo(data) {
    return postAxios({ url: 'setLoginInfo', data })
}

//获取主播列表
export function anchorList(data) {
    return postAxios({ url: 'anchorList', data })
}
//设置主播列表
export function deleteAnchorWithIds(data) {
    return postAxios({ url: 'deleteAnchorWithIds', data })
}
//设置主播列表
export function updateAnchorList(data) {
    return postAxios({ url: 'updateAnchorList', data })
}

//设置经纪人信息
export function aiConfig(data) {
    return postAxios({ url: 'aiConfig', data })
}
//设置经纪人信息
export function getAiConfig() {
    return getAxios({ url: 'getAiConfig' })
}

//获取消息列表
export function selectLast(data) {
    return getAxios({ url: 'select_last_message', data })
}
//获更新消息列表
export function updatelast(data) {
    return postAxios({ url: 'update_last_message', data })
}
//删除消息列表
export function deleteLast(data) {
    return postAxios({ url: 'delete_last_message', data })
}
//全部停止
export function stopAllTask(data) {
    return postAxios({ url: 'stopAllTask', data })
}

//换号
export function changeAccount(data) {
    return postAxios({ url: 'changeAccount', data })
}
//重置tk
export function restartTikTok(data) {
    return postAxios({ url: 'restartTikTok', data })
}

//获取设备网络状态
export function getDeviceNetStatus(data) {
    return postAxios({ url: 'getDeviceNetStatus', data })
}